Package org.apache.maven.scm.provider.tfs

## Class TfsScmProviderRepository

- java.lang.Object
- - org.apache.maven.scm.provider.ScmProviderRepository
  - - org.apache.maven.scm.provider.tfs.TfsScmProviderRepository

    public class TfsScmProviderRepository
    extends ScmProviderRepository

### Constructor Summary

Constructors
`TfsScmProviderRepository​(java.lang.String tfsUrl, java.lang.String user, java.lang.String password, java.lang.String serverPath, java.lang.String workspace, boolean useCheckinPolicies)`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `getServerPath()`
`java.lang.String` `getTfsUrl()`
`java.lang.String` `getUserPassword()`
`java.lang.String` `getWorkspace()`
`boolean` `isUseCheckinPolicies()`

### Methods inherited from class org.apache.maven.scm.provider.ScmProviderRepository

`getParent, getPassword, getRelativePath, getUser, getWorkItem, isPersistCheckout, isPushChanges, setPassword, setPersistCheckout, setPushChanges, setUser, setWorkItem`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TfsScmProviderRepository

    public TfsScmProviderRepository​(java.lang.String tfsUrl,
                                    java.lang.String user,
                                    java.lang.String password,
                                    java.lang.String serverPath,
                                    java.lang.String workspace,
                                    boolean useCheckinPolicies)

### Method Detail

#### getTfsUrl

    public java.lang.String getTfsUrl()

#### getWorkspace

    public java.lang.String getWorkspace()

#### getServerPath

    public java.lang.String getServerPath()

#### getUserPassword

    public java.lang.String getUserPassword()

#### isUseCheckinPolicies

    public boolean isUseCheckinPolicies()